Subject: [bug#34283] [PATCH] Add: mypaint

From: Yoshinori Arai <[email-masked]>
Date: Tue, 5 Feb 2019 18:23:05 +0900

On Tue, Feb 05, 2019 at 12:52:52AM -0500, Maxim Cournoyer wrote:
> Hello Yoshinori!
> 
> Yoshinori Arai <[email-masked]> writes:
> 
> > Hello,
> >
> > I made mypaint package from git version.
> > libmypaint-git, mypaint-brushes-git may be conflict with gimp package.
> 
> In Guix, we can have multiple versions of the software without changing
> its name (it's one of the advantages of a functional package manager
> :-).  In general, we package the latest release available from
> upstream, unless there is a good justification to do otherwise.
> 
> Was there a reason to prefer the git snapshots over normal releases of
> mypaint, libmypaint and mypaint-brushes in Guix? I see that the latest
> release for mypaint-brushes was released only a couple days ago (2.0.1);
> unless there is a reason, it would be preferable to use this tagged
> released rather than some random commit.
> 
> In this case, since it seems the only dependent of mypaint is Gimp and
> since Gimp requires a specific version, (its configure.ac [0] mentions
> mypaint-brusesh 1.3.0, although Arch seems to work around it [1]), I'd
> go with a public variable named mypaint-brushes-2 for the new
> definition, leaving the current one in (gnu packages gimp) alone, thus
> not impacting Gimp. The name field of both packages should be the same,
> though, so that a user of mypaint-brushes can select the version as in:
> 
> guix package -i mypaint-brushes@2
> 
> I'd also put the new package definitions at the current location (gnu
> packages gimp) so that their different versions live in the same Guile
> module.
> 
> [0]  https://gitlab.gnome.org/garyskeete/gimp/blob/GIMP_2_10_4/configure.ac#L73
> [1]  https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=mypaint-brushes-git
 
> I managed to make it run a couple of times, but then it started
> complaining about icons (even though I was adding the hicolor-icon-theme
> to my test environment). I also tried running fc-cache -vf, but in
> vain. Any ideas?
> 
> Thank you!
> 
> Maxim

Hello,

I will try to make patch of [email-masked] in gimp package at first.